#include "serializable.h"

std::unordered_map<std::string, Serializable::Instancer>* Serializable::s_typeMap = nullptr;

bool Serializable::addType(const std::string &name, Instancer fun)
{
    if(s_typeMap == nullptr)
        s_typeMap = new std::unordered_map<std::string, Instancer>();
    (*s_typeMap)[name] = fun;
    return true;
}

PropertySet* Serializable::initProperties(PropertySet* properties, AbstractProperty* p) const
{
    properties->push_back(p); return properties;
}
